<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/Settings/include/Settings/SettingsUpdatedEventSender.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_7b2f53332397a9531c02a7761b07578b.html">Settings</a></li><li class="navelem"><a class="el" href="dir_d2ddfe87420d7ac75b0237f25eb53378.html">include</a></li><li class="navelem"><a class="el" href="dir_4d2a03295670c0db0e68a4f7881dc380.html">Settings</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SettingsUpdatedEventSender.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_settings_updated_event_sender_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_CAPABILITYAGENTS_SETTINGS_INCLUDE_SETTINGS_SETTINGSUPDATEDEVENTSENDER_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_CAPABILITYAGENTS_SETTINGS_INCLUDE_SETTINGS_SETTINGSUPDATEDEVENTSENDER_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_global_settings_observer_interface_8h.html">AVSCommon/SDKInterfaces/GlobalSettingsObserverInterface.h</a>&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_certified_sender_8h.html">CertifiedSender/CertifiedSender.h</a>&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span>capabilityAgents {</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span>settings {</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings_updated_event_sender.html">   29</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings_updated_event_sender.html">SettingsUpdatedEventSender</a> : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_global_settings_observer_interface.html">avsCommon::sdkInterfaces::GlobalSettingsObserverInterface</a> {</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="keyword">static</span> std::unique_ptr&lt;SettingsUpdatedEventSender&gt; <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings_updated_event_sender.html#a3b9bf25ac78248e2c3a9b86823ab1162">create</a>(</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        std::shared_ptr&lt;certifiedSender::CertifiedSender&gt; certifiedMessageSender);</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings_updated_event_sender.html#a8f7fc94ab93c078b991401b08053eac8">onSettingChanged</a>(<span class="keyword">const</span> std::unordered_map&lt;std::string, std::string&gt;&amp; mapOfSettings) <span class="keyword">override</span>;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings_updated_event_sender.html">SettingsUpdatedEventSender</a>(std::shared_ptr&lt;certifiedSender::CertifiedSender&gt; certifiedMessageSender);</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    std::shared_ptr&lt;certifiedSender::CertifiedSender&gt; m_certifiedSender;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;};</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;}  <span class="comment">// namespace settings</span></div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;}  <span class="comment">// namespace capabilityAgents</span></div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_CAPABILITYAGENTS_SETTINGS_INCLUDE_SETTINGS_SETTINGSUPDATEDEVENTSENDER_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings_updated_event_sender_html_a8f7fc94ab93c078b991401b08053eac8"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings_updated_event_sender.html#a8f7fc94ab93c078b991401b08053eac8">alexaClientSDK::capabilityAgents::settings::SettingsUpdatedEventSender::onSettingChanged</a></div><div class="ttdeci">void onSettingChanged(const std::unordered_map&lt; std::string, std::string &gt; &amp;mapOfSettings) override</div><div class="ttdef"><b>Definition:</b> SettingsUpdatedEventSender.cpp:68</div></div>
<div class="ttc" id="_certified_sender_8h_html"><div class="ttname"><a href="_certified_sender_8h.html">CertifiedSender.h</a></div></div>
<div class="ttc" id="_global_settings_observer_interface_8h_html"><div class="ttname"><a href="_global_settings_observer_interface_8h.html">GlobalSettingsObserverInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings_updated_event_sender_html_a3b9bf25ac78248e2c3a9b86823ab1162"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings_updated_event_sender.html#a3b9bf25ac78248e2c3a9b86823ab1162">alexaClientSDK::capabilityAgents::settings::SettingsUpdatedEventSender::create</a></div><div class="ttdeci">static std::unique_ptr&lt; SettingsUpdatedEventSender &gt; create(std::shared_ptr&lt; certifiedSender::CertifiedSender &gt; certifiedMessageSender)</div><div class="ttdef"><b>Definition:</b> SettingsUpdatedEventSender.cpp:58</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_global_settings_observer_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_global_settings_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::GlobalSettingsObserverInterface</a></div><div class="ttdef"><b>Definition:</b> GlobalSettingsObserverInterface.h:27</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings_updated_event_sender_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings_updated_event_sender.html">alexaClientSDK::capabilityAgents::settings::SettingsUpdatedEventSender</a></div><div class="ttdef"><b>Definition:</b> SettingsUpdatedEventSender.h:29</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
